#  MultiUtility
#  Copyright (C) 2005-2021
#  This file is part of MultiUtility.
#
#  MultiUtility is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  MultiUtility is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with MultiUtility.  If not, see <http://www.gnu.org/licenses/>.

import os
import pampy
from .helpers import MakeRequest
from .utilityclient import MultiClient
from .emojimaker import EmojiCreator

if not os.path.exists(".downloads"):
  os.mkdir(".downloads")

__author__ = "Whitemakif@hotmail"
__version__ = "0.2.1"


__all__ = ["MultiClient", "MakeRequest", "EmojiCreator"]