#  MultiUtility
#  Copyright (C) 2005-2021
#  This file is part of MultiUtility.
#
#  MultiUtility is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  MultiUtility is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with MultiUtility.  If not, see <http://www.gnu.org/licenses/>.

from bs4 import BeautifulSoup # VERY HELPFUL LIBRARY
import random
import os
from .connection import * # ignore: pylint

Client = MakeRequest()

SCRAPY = {} # for cache implementation

def scrap_wally(_self, QUERY, limit=10):
  """
  Search Wallpapers..

  Parameters -

      QUERY - Search Wallpaper with Query.
      limit (optional) - number of image to get.
          default - 10
  """
  QUERY = QUERY.replace(" ", "%20")
  link_url_ = "https://wallpapers.com/search/" + QUERY
  conet = Client.get(link_url_).content
  bs4_obj = BeautifulSoup(conet, "html.parser")
  image_ = bs4_obj.find_all("img", "lozad")
  random.shuffle(image_)
  img_ = image_[:limit]
  name = []
  for img in img_:
    url_ = "https://wallpapers.com" + img["data-src"]
    ne = Client.dl(url_, ".downloads/" + url_.split("-")[-1])
    name.append(ne)
  return name


def insult_gen(self_):
  """
  Generate An EviL iNsULT
  """
  return Client.get("https://evilinsult.com/generate_insult.php?lang=en&type=json").json()["insult"]

def bad_quote(self_):
  """
  Yet AnOthER bAd QuotE gENERaTor.
  """
  return Client.get("https://breaking-bad-quotes.herokuapp.com/v1/quotes").json()[0]["quote"]